namespace Brizco.Domain.CommandQueries.Commands;

public sealed record CreateShiftCommand(string Title, TimeSpan StartAt, TimeSpan EndAt, string Description, List<DayOfWeek> DayOfWeeks, List<Guid> Routines)
    : IRequest<ShiftSDto>;

public sealed record UpdateShiftCommand(Guid Id,string Title, TimeSpan StartAt, TimeSpan EndAt, string Description, List<DayOfWeek> DayOfWeeks, List<Guid> Routines)
    : IRequest<bool>;

public sealed record DeleteShiftCommand(Guid Id) 
    : IRequest<bool>;